# fail2ban

- name: Install fail2ban
  become: yes
  package: 
    name: "fail2ban"
    state: present

- name: Enabled firewalld
  become: yes
  service:
    name: "firewalld"
    state: started
    enabled: yes

- name: Copy templates
  become: yes
  template:
    src: "{{ item }}.j2"
    dest: "/etc/fail2ban/{{ item }}"
  with_items:
    - "jail.d/01-sshd.conf"
    - "jail.d/10-recidive.conf"
  notify: Reload fail2ban

- name: Create log file
  become: yes
  file:
    path: /var/log/fail2ban.log
    state: touch
  changed_when: no

- name: Enabled fail2ban
  become: yes
  service:
    name: "fail2ban"
    state: started
    enabled: yes
